> For the complete documentation index, see [llms.txt](https://docs.hive.one/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hive.one/core-resources/influencer-podcasts-twitter-id.md).

# Influencer Podcasts (Twitter ID)

## Get Influencer Podcasts List

<mark style="color:blue;">`GET`</mark> `https://api.hive.one/v1/influencers/id/:twitter_id/podcasts/`

This endpoint allows you to get the list of podcasts for a given influencer using their twitter id

#### Path Parameters

| Name        | Type   | Description                  |
| ----------- | ------ | ---------------------------- |
| twitter\_id | number | Twitter ID of the influencer |

#### Query Parameters

| Name             | Type    | Description                                                             |
| ---------------- | ------- | ----------------------------------------------------------------------- |
| appearance\_type | string  | <p>Options: all, guest, host<br>Default: all</p>                        |
| after            | integer | <p>User for pagination, increases in increments of 20<br>Default: 0</p> |

#### Headers

| Name           | Type   | Description          |
| -------------- | ------ | -------------------- |
| Authentication | string | Authentication token |

{% tabs %}
{% tab title="200 Paginated list of all podcasts." %}

```
{
    "data": {
        "twitterId": "26377478",
        "screenName": "laurashin",
        "podcasts": {
            "edges": [
                {
                    "podcast": {
                        "name": "Unchained",
                        "url": "http://unchainedpodcast.co/",
                        "imageUrl": "http://static.libsyn.com/p/assets/3/a/2/4/3a24df1faa4963af/2019_Unchained_Cover_3000.jpg"
                    },
                    "name": "Ripple's XRP: Why Its Chances of Success Are Low - Ep.58",
                    "url": "http://unchained.forbes.libsynpro.com/ripples-xrp-why-its-chances-of-success-are-low-ep58",
                    "imageUrl": "http://static.libsyn.com/p/assets/a/d/b/a/adbad5317f1a99ac/New--Unchained_Show_Art_FINAL.jpg",
                    "publishedAt": 1525764600,
                    "hosts": [
                        {
                            "twitterId": "26377478",
                            "name": "Laura Shin",
                            "screenName": "laurashin",
                            "imageUrl": "https://pbs.twimg.com/profile_images/2705521468/8719b65bda3cab38bd27fc85f2509354.png"
                        },
                        {
                            "twitterId": "128115551",
                            "name": "Elaine Zelby",
                            "screenName": "ezelby",
                            "imageUrl": null
                        }
                    ],
                    "guests": [
                        {
                            "twitterId": "2193616844",
                            "name": "Ryan Selkis",
                            "screenName": "twobitidiot",
                            "imageUrl": "https://pbs.twimg.com/profile_images/885297575661682688/X_XVE1W0.jpg"
                        },
                        {
                            "twitterId": "1206239276",
                            "name": "Matt Leising",
                            "screenName": "mattleising",
                            "imageUrl": "https://pbs.twimg.com/profile_images/3311846748/dc7940f34d43a6750c2580698d114f89.jpeg"
                        }
                    ]
                },
            ],
            "cursor": {
                "after": 40,
                "hasNextCursor": true
            },
            "count": 160
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hive.one/core-resources/influencer-podcasts-twitter-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
